Package com.isomorphic.webdriver

# Class SmartClientRemoteWebDriver

java.lang.Object
com.isomorphic.webdriver.SmartClientWebDriver
com.isomorphic.webdriver.SmartClientRemoteWebDriver

All Implemented Interfaces:
  `org.openqa.selenium.interactions.HasInputDevices`, `org.openqa.selenium.interactions.Interactive`, `org.openqa.selenium.JavascriptExecutor`, `org.openqa.selenium.SearchContext`, `org.openqa.selenium.TakesScreenshot`, `org.openqa.selenium.WebDriver`

public class SmartClientRemoteWebDriver extends SmartClientWebDriver
Implementation of SmartClient specific Driver wrapping a RemoteWebDriver instance. *ONLY* suitable for testing SmartClient based systems.

- ## Method Summary

  ### Methods inherited from class com.isomorphic.webdriver.SmartClientWebDriver

  `assertEval, assertEval, assertEval, assertEval, assertEval, blur, clearCanvasProperty, clearTolerances, click, clickAndHold, clickAndHoldAt, contextClick, controlKeyDown, controlKeyUp, doubleClick, dragAndDrop, dragAndDrop, dragAndDropBy, focus, focus, focus, get, get, getElementHeight, getElementPositionLeft, getElementPositionTop, getElementWidth, getEval, getEval, getTable, getText, getValue, getValueAsString, getValueAsString, keyDown, keyDown, keyPress, keyPress, keyUp, keyUp, mouseMove, mouseMoveAt, pause, release, releaseAt, scrollIntoViewIfNeeded, scrollIntoViewIfNeeded, secondClick, selectWindowByName, selectWindowByTitle, sendData, sendKeys, setAllowCoordClickOnOccludingElement, setAllowJavaScriptToStringMatch, setBaseUrl, setCanvasHeightTolerance, setCanvasProperty, setCanvasPropertyFalse, setCanvasPropertyTrue, setCanvasWidthTolerance, setClientLogLevel, setClientLogLevel, setDefaultImplicitWait, setDefaultWaitTimeout, setElementTolerance, setMaxDragPause, setOccludedElementApproach, setServerLogLevel, setUseFrameworkValueAsFallback, setValueTolerance, shiftKeyDown, shiftKeyUp, showConsole, type, type, type, verifyCanvasHeight, verifyCanvasWidth, verifyElementClickable, verifyElementHeight, verifyElementHeightWithTolerance, verifyElementPositionLeft, verifyElementPositionTop, verifyElementPresent, verifyElementReadyForKeyPresses, verifyElementSelected, verifyElementVisible, verifyElementWidth, verifyElementWidthWithTolerance, verifyTable, verifyText, verifyText, verifyTextPresent, verifyTextPresent, verifyTitle, verifyValue, verifyValue, verifyValue, verifyValue, verifyValueEmpty, verifyValueWithTolerance, verifyValueWithTolerance, verifyValueWithTolerance, waitForCanvasDone, waitForCanvasDone, waitForCondition, waitForCondition, waitForCondition, waitForElementClickable, waitForElementClickable, waitForElementInViewport, waitForElementInViewport, waitForElementNotClickable, waitForElementNotClickable, waitForElementNotPresent, waitForElementNotPresent, waitForElementNotVisible, waitForElementNotVisible, waitForElementPresent, waitForElementPresent, waitForElementReadyForKeyPresses, waitForElementReadyForKeyPresses, waitForElementVisible, waitForElementVisible, waitForEval, waitForEval, waitForFormDone, waitForFormDone, waitForFrameToLoad, waitForGridDone, waitForGridDone, waitForGridDone, waitForGridDone, waitForHoverTextPresent, waitForHoverTextPresent, waitForItemDone, waitForItemDone, waitForSystemDone, waitForSystemDone, waitForSystemDone, waitForSystemDone, waitForSystemDone, waitForSystemDone, waitForSystemDone, waitForSystemDone, waitForSystemDone, waitForText, waitForText, waitForTileGridDone, waitForTileGridDone, waitForTileLayoutDone, waitForTileLayoutDone, waitForValue, waitForValue`